Class ViewIncidentDetailController
java.lang.Object
org.apache.clusterbr.zupportl5.controller.ViewIncidentDetailController
@RestController
@RequestMapping("/api/view-incident-details")
public class ViewIncidentDetailController
extends Object
REST-API Endpoints --
- GET /api/view-incident-details/{id}: Returns data from the API
UML Diagrams:




- Since:
- 2024-1108
- Author:
- arcbrth@gmail.com
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionorg.springframework.http.ResponseEntity<List<ViewIncidentDetail>>getAll()org.springframework.http.ResponseEntity<ViewIncidentDetail>
-
Constructor Details
-
ViewIncidentDetailController
-
-
Method Details
-
getAll
-
getById
@GetMapping("/{id}") public org.springframework.http.ResponseEntity<ViewIncidentDetail> getById(@PathVariable Long id)
-